> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# File explorer.

> 
    ROLES: FILE_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml post /api/v1/files
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/files:
    post:
      tags:
        - Files
      summary: File explorer.
      description: |2-

            ROLES: FILE_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: FilesController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFileDto'
      responses:
        '200':
          description: OK.
        '400':
          description: Path of file found.
        '403':
          description: Forbidden.
      security:
        - bearer: []
components:
  schemas:
    CreateFileDto:
      type: object
      properties:
        fileName:
          type: string
          description: File name.
        contentType:
          type: string
          description: contentType
        type:
          type: string
          description: Type.
          enum:
            - FILE
            - FOLDER
        size:
          type: number
          description: Size of file (in bytes).
        path:
          type: string
          description: path.
      required:
        - fileName
        - type
        - path
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````